Subject: Re: [pim] Question about SR P2MP Policy Ping

From: "Bidgoli, Hooman (Nokia - CA/Ottawa)" <[email-masked]>
Date: Tue, 3 Aug 2021 03:02:37 +0000

Hi Jingrong

RFC 6425 updates 4379 as such it uses the same port, this is my understanding.

So yes we are proposing the same port as LSP ping
lsp-ping           3503        udp    MPLS LSP-echo Port

I think this is sufficient enough as the new sub-tlvs will identify the packet accordingly.

Thanks
Hooman

From: pim <[email-masked]> On Behalf Of Xiejingrong (Jingrong)
Sent: Friday, July 30, 2021 7:47 PM
To: [email-masked]
Subject: [pim] Question about SR P2MP Policy Ping

Hi,
Following up the comment in IETF111 PIM WG online, my question is this.
Ping procedure needs some kind of encapsulation of Echo Request and Echo Reply as in RFC4379, first an UDP encapsulation, and then an IP encapsulation, and lastly the tunnel header encapsulation of MPLS/P2MP and I guess the same for SR-P2MP-policy.
The UDP encapsulation need an UDP port, and the IP encapsulation need src/dst IP or IPv6 addresses.
Are these UDP/src/dst the same as RFC4379 or have some different ones ?

Thanks
Jingrong

---

From: "Xiejingrong (Jingrong)" <[email-masked]>
Date: Thu, 5 Aug 2021 03:11:25 +0000

Hi Hooman,

Thanks for the clarification.
I also feel OK to use the same port as RFC4379 LSP ping, as RFC 6425 P2MP-LSP and SR-P2MP-Policy are both proper to be named "LSP".
But I am not sure if the LSP ping UDP port is proper for SRv6-P2MP-Policy.
Does this draft include SRv6-P2MP-Policy, e.g., section 3.2.1 "P2MP Policy IPv6 CP" means SRv6-P2MP Policy CP ? or SR-P2MP Policy CP with IPv6 control-plane used ?

Thanks
Jingrong

From: Bidgoli, Hooman (Nokia - CA/Ottawa) [mailto:[email-masked]]
Sent: Tuesday, August 3, 2021 11:03 AM
To: Xiejingrong (Jingrong) <[email-masked]>; [email-masked]
Subject: RE: [pim] Question about SR P2MP Policy Ping

Hi Jingrong

Thanks
Hooman

From: pim <[email-masked]<mailto:[email-masked]>> On Behalf Of Xiejingrong (Jingrong)
Sent: Friday, July 30, 2021 7:47 PM
To: [email-masked]<mailto:[email-masked]>
Subject: [pim] Question about SR P2MP Policy Ping

Hi,

Thanks
Jingrong

---

From: "Bidgoli, Hooman (Nokia - CA/Ottawa)" <[email-masked]>
Date: Thu, 5 Aug 2021 18:06:23 +0000

Hi Jingrong

I am not sure if this draft can address the SRv6 part of the P2MP policy. I need to do some investigation on how OAM tools work on SRv6. As of now this draft is MPLS only hence why we only point to RFC6425 and mLDP procedures explicitly. But given that the fact that SRv6 is combined in P2MP Policy draft and Replication segment draft We need to think about if it makes sense to separate it from OAM perspective.

Couple of points please:
1.           I think I need to simplify section 3.2.1 to a single sub-type that is P2MP Policy MPLS CP
2.           as of now the reason I had 2 sub-types was because the root IP could be IPv4 and IPv6, but the address family will take care of that distinction
3.           after that clean up we will create a second sub-type for P2MP Policy SRv6 CP, and can look into the UDP port for SRv6.

Thanks
Hooman

From: Xiejingrong (Jingrong) <[email-masked]>
Sent: Wednesday, August 4, 2021 11:11 PM
To: Bidgoli, Hooman (Nokia - CA/Ottawa) <[email-masked]>; [email-masked]
Subject: RE: [pim] Question about SR P2MP Policy Ping

Hi Hooman,

Thanks
Jingrong

From: Bidgoli, Hooman (Nokia - CA/Ottawa) [mailto:[email-masked]]
Sent: Tuesday, August 3, 2021 11:03 AM
To: Xiejingrong (Jingrong) <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Subject: RE: [pim] Question about SR P2MP Policy Ping

Hi Jingrong

Thanks
Hooman

Hi,

Thanks
Jingrong

---

From: <[email-masked]>
Date: Fri, 6 Aug 2021 04:53:39 +0800 (CST)

Hi Hooman, Jingrong et al.,

thank you for a very helpful discussion of this important draft. I have several comments to share and much appreciate your thoughts:

RFC 4379 was obsoleted by RFC 8029

I think that there's a common understanding that SR OAM tools are selected based on the data plane with necessary extensions. In other words, SRv6 OAM uses IPv6 OAM (detailed discussion in draft-ietf-6man-spring-srv6-oam), SR-MPLS - MPLS OAM toolset. If that is the case, ping/traceroute for SRv6 p2mp policy can be ICMP (more likely) or UDP, and for SR-MPLS - LSP ping.

It seems that SPRING and MPLS (for SR-MPLS p2mp policies) WGs could also be interested in this work.

Regards,

Greg Mirsky

Sr. Standardization Expert
预研标准部/有线研究院/有线产品经营部 Standard Preresearch Dept./Wireline Product R&D Institute/Wireline Product Operation Division

E: [email-masked] 
www.zte.com.cn

Original Mail

Sender: Bidgoli,Hooman(Nokia-CA/Ottawa)
To: Xiejingrong (Jingrong);[email-masked];
Date: 2021/08/05 11:07
Subject: Re: [pim] Question about SR P2MP Policy Ping

_______________________________________________
pim mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/pim

Hi Jingrong

 

Couple of points please:

 

Thanks

Hooman

 

 

Hi Hooman,

I also feel OK to use the same port as RFC4379 LSP ping, as RFC 6425 P2MP-LSP and SR-P2MP-Policy are both proper to be named “LSP”.

Does this draft include SRv6-P2MP-Policy, e.g., section 3.2.1 “P2MP Policy IPv6 CP” means SRv6-P2MP Policy CP ? or SR-P2MP Policy CP with IPv6 control-plane used ?

Thanks

Jingrong

 

Hi Jingrong

 

 

 

Thanks

Hooman

 

Hi,

 

Thanks

Jingrong

---

From: <[email-masked]>
Date: Fri, 6 Aug 2021 10:24:35 +0800 (CST)

Dear All,

I've missed to mention RFC 8287 that might be a better reference than RFC 8029 when defining ping and traceroute for an SR-MPLS p2mp policy.

Regards,

Greg Mirsky

Original Mail

Sender: gregory mirsky10211915
To: [email-masked];
CC: [email-masked];
Date: 2021/08/05 13:54
Subject: Re: [pim] Question about SR P2MP Policy Ping

Regards,

Greg Mirsky

Hi Jingrong

 

Couple of points please:

 

Thanks

Hooman

 

 

Hi Hooman,

 

Thanks

Jingrong

 

Hi Jingrong

 

 

 

Thanks

Hooman

 

Hi,

 

Thanks

Jingrong

---

From: "Xiejingrong (Jingrong)" <[email-masked]>
Date: Tue, 10 Aug 2021 02:23:56 +0000

Hi Hooman,

Thanks for clarification and sharing of the points.
I am fine with all of these points.

Jingrong

From: Bidgoli, Hooman (Nokia - CA/Ottawa) [mailto:[email-masked]]
Sent: Friday, August 6, 2021 2:06 AM
To: Xiejingrong (Jingrong) <[email-masked]>; [email-masked]
Subject: RE: [pim] Question about SR P2MP Policy Ping

Hi Jingrong

Couple of points please:

Thanks
Hooman

From: Xiejingrong (Jingrong) <[email-masked]<mailto:[email-masked]>>
Sent: Wednesday, August 4, 2021 11:11 PM
To: Bidgoli, Hooman (Nokia - CA/Ottawa) <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Subject: RE: [pim] Question about SR P2MP Policy Ping

Hi Hooman,

Thanks
Jingrong

Hi Jingrong

Thanks
Hooman

Hi,

Thanks
Jingrong